Bug 428338 - [NetApp-S 5.2 bug] RHEL 5.1 root device multipathed host freezes during FCP path faults
[NetApp-S 5.2 bug] RHEL 5.1 root device multipathed host freezes during FCP p...
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: device-mapper-multipath (Show other bugs)
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Ben Marzinski
Corey Marthaler
: OtherQA, ZStream
Depends On: 355961
Blocks: 431119 431947 438150
  Show dependency treegraph
Reported: 2008-01-10 17:17 EST by RHEL Product and Program Management
Modified: 2010-01-11 21:40 EST (History)
27 users (show)

See Also:
Fixed In Version: RHBA-2008-0050
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-30 10:31:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Host dumps (224.10 KB, application/zip)
2008-01-31 15:07 EST, Martin George
no flags Details

  None (edit)
Description RHEL Product and Program Management 2008-01-10 17:17:55 EST
This bug has been copied from bug #355961 and has been proposed
to be backported to 5.1 z-stream (EUS).
Comment 2 Ben Marzinski 2008-01-21 14:15:55 EST
This fix has been backported.
Comment 6 errata-xmlrpc 2008-01-30 10:31:19 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

Comment 7 Martin George 2008-01-31 15:05:51 EST
I installed the updated device-mapper-multipath package i.e.
device-mapper-multipath-0.4.7-12.el5_1.2 on my RHEL 5.1 root device multipathed
host and rebooted, but the host freeze is still reproducible during faults. As
suggested by Kiyoshi, I ran the attached script i.e. test.sh to trigger the
freeze (the freeze is also reproducible while running FC path faults on the SAN

I don't see any prio callout binaries in /var/cache/multipathd/ (if that was
intended in the fix). The sysrq dumps (taken 10 minutes apart) seem to show both
multipathd & bash stalling on the exec system call (similar to the original case).

Comment 8 Martin George 2008-01-31 15:07:53 EST
Created attachment 293642 [details]
Host dumps

The attachment contains the following:

1) Config.txt - Config info of the RHEL 5.1 root device multipathed host.

2) test.sh - Script to simulate path faults.

3) msg-Jan31 - /var/log/messages

4) rhel5-1-dumps-Jan31.TXT - Sysrq dumps (taken 10 minutes apart) during the
Comment 9 Andrius Benokraitis 2008-01-31 15:16:04 EST
Martin, please open a new bugzilla (clone this one) since this is marked closed
Comment 10 Ben Marzinski 2008-02-05 21:14:16 EST
Can you try switching the priority callout in /etc/multipath.conf to

  prio_callout "/sbin/mpath_prio_netapp.static /dev/%n"

This is just a static version of the regular callout. I reproduced this on my
machine, and it was caused by trying to read /lib/ld-linux.so.2 when the
filesystem is hung. 
Comment 11 Don Domingo 2008-04-01 22:12:03 EDT
the RHEL5.2 release notes will be dropped to translation on April 15, 2008, at
which point no further additions or revisions will be entertained.

a mockup of the RHEL5.2 release notes can be viewed at the following link:

please use the aforementioned link to verify if your bugzilla is already in the
release notes (if it needs to be). each item in the release notes contains a
link to its original bug; as such, you can search through the release notes by
bug number.


Note You need to log in before you can comment on or make changes to this bug.